-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 19 marzo 2009
-- Description:	
-- =============================================
CREATE procedure [C6MartPeriodico].[DM_MONITORAGGIO_INIZIALE_pre_selective]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	SET @ID_ELAB = [C6MartPeriodico].GETIDELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_MONITORAGGIO_INIZIALE_pre_selective',
		GETDATE(),
		'Elaborazione trimestrale'
	)
	TRUNCATE TABLE [C6MartPeriodico].[MONITORAGGIO_INIZIALE] 
	INSERT INTO [C6MartPeriodico].[MONITORAGGIO_INIZIALE]
           ([RETE]
           ,[COD_FISCALE]
           ,[DATA_FOTO]
           ,[CTV_TOTALE]
           ,[CTV_EXT]
           ,[CTV_INV]
           ,[CTV_RIS]
           ,[CTV_PRE]
           ,[CTV_LIQ]
           ,[CTV_CC]
           ,[CTV_NA]
           ,[PARTITA_VIAGGIANTE]
           ,[VAR_COMPLESSIVO]
           ,[VAR_COPERTURA]
           ,[PROFILO]
           ,[VAR_MAX_PROFILO]
           ,[RISKCLASS]
           , [RISKCLASSMAX]
           ,[ID_ELAB])
	SELECT
           INSTID AS RETE,
           ADBKID AS COD_FISCALE,
           C_DATASALVAT_D40E3 AS DATA_FOTO,
		   C_CTVEXT_34DCC + C_CTVINV_990D8 + C_CTVRIS_43FEA + C_CTVPRE_A0E49 + C_CTVLIQ_54D1B + C_CTVCC_E242D + C_CTVNA_473EA 
				AS CTV_TOTALE,
           C_CTVEXT_34DCC AS CTV_EXT,
           C_CTVINV_990D8 AS CTV_INV,
           C_CTVRIS_43FEA AS CTV_RIS,
           C_CTVPRE_A0E49 AS CTV_PRE,
           C_CTVLIQ_54D1B AS CTV_LIQ,
           C_CTVCC_E242D AS CTV_CC,
           C_CTVNA_473EA AS CTV_NA,
           C_INVESTIMEN_5F936 AS PARTITA_VIAGGIANTE,
           C_VAR_16494 AS VAR_COMPLESSIVO,
           C_COPVAR_5C6E5 AS VAR_COPERTURA,
           CODICE_PROFILO AS PROFILO,
           VAR_MAX_PROFILO AS VAR_MAX_PROFILO,
           c6martperiodico.Codifica_CRisk_PhotoData(RISKCLASS),
           c6martperiodico.Codifica_CRisk_PhotoData(RISKCLASSMAX),
           @ID_ELAB AS ID_ELAB
	FROM C6STAGINGPERIODICO.PHOTO_DATA
	WHERE 1 = 1
		AND SUBSTRING(TYPE__TYPE_7CAB6, 1, 1) = '1'
		AND SUBSTRING(TYPE__STATUS_1E30E, 1 , 1) = '2'
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_MONITORAGGIO_INIZIALE_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_MONITORAGGIO_INIZIALE_pre_selective'
		)
END